com.gisgraphy.webapp.action

## Class FileUploadAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.BaseAction
    - - com.gisgraphy.webapp.action.FileUploadAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class FileUploadAction
      extends BaseAction

  Sample action that shows how to do file upload with Struts 2.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager`

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUploadAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()` Default method - returns "input"
    `File` | `getFile()`
    `String` | `getFileContentType()`
    `String` | `getFileFileName()`
    `String` | `getName()`
    `void` | `setFile(File file)`
    `void` | `setFileContentType(String fileContentType)`
    `void` | `setFileFileName(String fileFileName)`
    `void` | `setName(String name)`
    `String` | `upload()` Upload the file
    `void` | `validate()`

    - ### Methods inherited from class com.gisgraphy.webapp.action.BaseAction

      `cancel, getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUploadAction

          public FileUploadAction()

  - ### Method Detail

    - #### upload

          public String upload()
                        throws Exception

      Upload the file
      Returns:
        String with result (cancel, input or sucess)
      Throws:
        `Exception` - if something goes wrong

    - #### execute

          public String execute()

      Default method - returns "input"
      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Returns:
        "input"

    - #### setFile

          public void setFile(File file)

    - #### setFileContentType

          public void setFileContentType(String fileContentType)

    - #### setFileFileName

          public void setFileFileName(String fileFileName)

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### getFile

          public File getFile()

    - #### getFileContentType

          public String getFileContentType()

    - #### getFileFileName

          public String getFileFileName()

    - #### validate

          public void validate()

      Specified by:
        `validate` in interface `com.opensymphony.xwork2.Validateable`
      Overrides:
        `validate` in class `com.opensymphony.xwork2.ActionSupport`

Copyright © 2015. All rights reserved.